#
# spec file for package ghc-shelly
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name shelly
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.6.8.1
Release:        7.12
Summary:        Shell-like (systems) programming in Haskell
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-enclosed-exceptions-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-lifted-async-devel
BuildRequires:  ghc-lifted-base-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-system-fileio-devel
BuildRequires:  ghc-system-filepath-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-compat-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
Shelly provides convenient systems programming in Haskell, similar in spirit to
POSIX shells. Shelly:

* is aimed at convenience and getting things done rather than being a
demonstration of elegance.

* has detailed and useful error messages

* maintains its own environment, making it thread-safe.

* is modern, using Text and system-filepath/system-fileio

Shelly is originally forked from the Shellish package.

See the shelly-extra package for additional functionality.

An overview is available in the README:
<https://github.com/yesodweb/Shelly.hs/blob/master/README.md>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Dec  4 2016 psimons@suse.com
- Update to version 1.6.8.1 revision 1 with cabal2obs.
* Tue Oct 11 2016 psimons@suse.com
- Update to version 1.6.8.1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.6.8 revision 0 with cabal2obs.
* Mon Jun 27 2016 mimi.vx@gmail.com
- update to 1.6.8
  * added sshPairsWithOptions function
* Mon Jun 27 2016 mimi.vx@gmail.com
- update to 1.6.7
  * flush stdout when using echo, not just echo_n
  * fix should be able to silence stderr when using runHandle
  * expose RunFailed
* Tue May 31 2016 mimi.vx@gmail.com
- relax dep on time, fixes build with GHC-8
* Tue Apr 26 2016 mimi.vx@gmail.com
- update to  1.6.6
  * add prependToPath function
* Sun Dec 13 2015 mimi.vx@gmail.com
- update to 1.6.5
  * expose MonadShControl
* Mon Dec  7 2015 mimi.vx@gmail.com
- update to 1.6.4.1
  * add writeBinary function
* Sun Sep 27 2015 mimi.vx@gmail.com
- update to 1.6.4
* Sun Sep 13 2015 mimi.vx@gmail.com
- update to 1.6.3.4
* Fri Sep  4 2015 mimi.vx@gmail.com
- initial commit
